Create a new Site WAN
POST/accounts/{account_id}/magic/sites/{site_id}/wans
Creates a new Site WAN.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Body ParametersJSON
Create a new Site WAN
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/magic/sites/$SITE_ID/wans \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
-d '{
"physport": 1,
"vlan_tag": 42
}'{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"result": [
{
"id": "023e105f4ecef8ad9ca31a8372d0c353",
"health_check_rate": "low",
"name": "name",
"physport": 1,
"priority": 0,
"site_id": "023e105f4ecef8ad9ca31a8372d0c353",
"static_addressing": {
"address": "192.0.2.0/24",
"gateway_address": "192.0.2.1",
"secondary_address": "192.0.2.0/24"
},
"vlan_tag": 42
}
],
"success": true
}Returns Examples
{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"result": [
{
"id": "023e105f4ecef8ad9ca31a8372d0c353",
"health_check_rate": "low",
"name": "name",
"physport": 1,
"priority": 0,
"site_id": "023e105f4ecef8ad9ca31a8372d0c353",
"static_addressing": {
"address": "192.0.2.0/24",
"gateway_address": "192.0.2.1",
"secondary_address": "192.0.2.0/24"
},
"vlan_tag": 42
}
],
"success": true
}